Summary: Open X Input Method's SunPinyin wrapper
Name: oxim-sunpinyin
Version: 0.0.1
Release: 3%{?dist}
License: CDDL and LGPLv2+
Group: System/Internationalization
URL: http://www.opensolaris.org/os/project/input-method/
Source0: sunpinyin-2.0.tar.gz
Autoreq: no
BuildRequires: oxim-devel sqlite-devel python intltool >= 0.35.0
Requires: oxim sqlite

%description
SunPinyin (developed by Sun Asian G11N Center, shipped since Solaris 10,
and opensource'd on OS.o) is a SLM (Statistical Language Model) based IME.
This package includes the wrapper for OXIM(Open X Input Method).

%prep
%setup -q -n sunpinyin-2.0

%build
%configure --enable-static=no --disable-cle --enable-oxim --disable-debug --with-sunpinyin-datadir=%{_libdir}/sunpinyin
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install-strip
mv $RPM_BUILD_ROOT%{_libdir}/oxim/modules/sunpinyinoxim.so $RPM_BUILD_ROOT%{_libdir}/oxim/modules/sunpinyin.so
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} \;

%post
oxim-agent -r

%postun
oxim-agent -r

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS TODO README COPYING INSTALL LGPL.LICENSE OPENSOLARIS.LICENSE
%{_libdir}/oxim/modules/sunpinyin.so
%{_libdir}/sunpinyin
#%{_datadir}/locale/*/LC_MESSAGES/sunpinyin.mo

%changelog
* Wed Jan 13 2010 Wind Win <yc.yan@ossii.com.tw> 0.0.1-1
- Build for first time.
